Mist

By dodooblivion111 :: Saturday December 11th, 2010

 

This game requires the Adobe Flash Player.

Enable Flash

make a game

my first game on Sploder, enjoy! Anyway, I'm just testing my first game, anyway, this Is not too new, not too old so I guess why it said ''Platformer Game just launched! Enjoy!''. I'm guessing they just made a new type of Game creator, lucky guess,perhaps?

 

More games by dodooblivion111